Package org.tanukisoftware.wrapper.demo

# Class DeadLock

java.lang.Object
org.tanukisoftware.wrapper.demo.DeadLock

public class DeadLock extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DeadLock(int id, Object obj1, Object obj2)`

## Method Summary

Modifier and Type
Method
Description
`void`
`create2ObjectDeadlock()`
`void`
`create3ObjectDeadlock()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeadLock

protected DeadLock(int id, Object obj1, Object obj2)

## Method Details

### create3ObjectDeadlock

public void create3ObjectDeadlock()

### create2ObjectDeadlock

public void create2ObjectDeadlock()